rte_swx_table_params(3)

NAME
rte_swx_table_params

SYNOPSIS

#include <rte_swx_table.h>

  Data Fields

enum rte_swx_table_match_type match_type
uint32_t key_size
uint32_t key_offset
uint8_t * key_mask0
uint32_t action_data_size
rte_swx_hash_func_t hash_func
uint32_t n_keys_max

Detailed Description

Table creation parameters.

Definition at line 33 of file rte_swx_table.h.

Field Documentation

  enum rte_swx_table_match_type match_type
Table match type.

Definition at line 35 of file rte_swx_table.h.

  uint32_t key_size
Key size in bytes.

Definition at line 38 of file rte_swx_table.h.

  uint32_t key_offset
Offset of the first byte of the key within the key buffer.

Definition at line 41 of file rte_swx_table.h.

  uint8_t* key_mask0
Mask of key_size bytes logically laid over the bytes at positions key_offset .. (key_offset + key_size - 1) of the key buffer in order to specify which bits from the key buffer are part of the key and which ones are not. A bit value of 1 in the key_mask0 means the respective bit in the key buffer is part of the key, while a bit value of 0 means the opposite. A NULL value means that all the bits are part of the key, i.e. the key_mask0 is an all-ones mask.

Definition at line 51 of file rte_swx_table.h.

  uint32_t action_data_size
Maximum size (in bytes) of the action data. The data stored in the table for each entry is equal to action_data_size plus 8 bytes, which are used to store the action ID.

Definition at line 57 of file rte_swx_table.h.

  rte_swx_hash_func_t hash_func
Hash function. Ignored when not needed by the table implementation. When needed but set to NULL, the table implementation will select the hash function to use.

Definition at line 63 of file rte_swx_table.h.

  uint32_t n_keys_max
Maximum number of keys to be stored in the table together with their associated data.

Definition at line 68 of file rte_swx_table.h.

Author

Generated automatically by Doxygen for DPDK from the source code.